      PROGRAM main
      INTEGER nproc0
      PARAMETER (nproc0 = 8)
      REAL temp1 (1024), temp2 (1024)
C     DECOMPOSITION FRED (8192)
C     DISTRIBUTE FRED (BLOCK)
C     ALIGN temp1 (i) WITH FRED (i)
C     ALIGN temp2 (i) WITH FRED (i)
      INTEGER Ti1
      INTEGER Tllb1
      INTEGER Tlub1
      INTEGER minLoc1, maxLoc1, minLoc2, maxLoc2, coord(3)
      COMMON /g_to_l/minLoc1, maxLoc1, minLoc2, maxLoc2, coord
      INTEGER TTT0temp_info (8,7), Ttemp2_info (8,7)
      INTEGER proclist(8)
      REAL TT0temp (1024)
C      ALIGN TT0temp (i) WITH FRED (i)
      INTEGER TT2temp
      CALL parameter_for_intrinsic (TTT0temp_info, 1, 1, 1024, 1024, 1, 
     &8)
      CALL parameter_for_intrinsic (Ttemp2_info, 1, 1, 1024, 1024, 1, 8)
      CALL EXP_init_1 (8, 1024)
      proclist(1)=-1
      TT2temp = 1
      CALL eoshift_1_R (temp2, Ttemp2_info (1, 1), Ttemp2_info (2, 1), T
     &temp2_info, (-1), TT0temp, TTT0temp_info (1, 1), TTT0temp_info (2,
     & 1), TTT0temp_info, proclist)
      DO Ti1 = 1, 1024
      temp1 (Ti1) = TT0temp (Ti1)
      END DO
      STOP
      END
